jQuery(document).ready(function($){
	"use strict";

    $('.woocommerceproductsrevolution-bp-vc-element-carousel-blog').each( function() {
        var $carousel = $(this);
        $carousel.owlCarousel({
			dots : $carousel.data("woocommerceproductsrevolution-blog-carousel-owl-pagination"),
			margin : $carousel.data("woocommerceproductsrevolution-blog-carousel-owl-margin"),
			nav : $carousel.data("woocommerceproductsrevolution-blog-carousel-owl-navigation"),
			rtl : $carousel.data("woocommerceproductsrevolution-blog-carousel-owl-rtl"),
			loop: $carousel.data("woocommerceproductsrevolution-blog-carousel-owl-loop"),
			smartSpeed: $carousel.data("woocommerceproductsrevolution-blog-carousel-owl-smart-speed"),
			autoplay : true,
			autoplayTimeout : $carousel.data("woocommerceproductsrevolution-blog-carousel-owl-autoplay"),
			autoplayHoverPause: true,
			navText : ['<i class="fa fa-angle-left"></i>','<i class="fa fa-angle-right"></i>'],
			responsive:{
				0:{
					items: $carousel.data("woocommerceproductsrevolution-blog-carousel-owl-items-600")
				},
				600:{
					items: $carousel.data("woocommerceproductsrevolution-blog-carousel-owl-items-900")
				},
				1000:{
					items: $carousel.data("woocommerceproductsrevolution-blog-carousel-owl-items")
				}
			}
        });
    });

});

var woocommerceproductsrevolutionCarouselHandler = function($scope, $) {
    $('.woocommerceproductsrevolution-bp-vc-element-carousel-blog').each( function() {
        var $carousel = $(this);
        $carousel.owlCarousel({
			dots : $carousel.data("woocommerceproductsrevolution-blog-carousel-owl-pagination"),
			margin : $carousel.data("woocommerceproductsrevolution-blog-carousel-owl-margin"),
			nav : $carousel.data("woocommerceproductsrevolution-blog-carousel-owl-navigation"),
			rtl : $carousel.data("woocommerceproductsrevolution-blog-carousel-owl-rtl"),
			loop: $carousel.data("woocommerceproductsrevolution-blog-carousel-owl-loop"),
			smartSpeed: $carousel.data("woocommerceproductsrevolution-blog-carousel-owl-smart-speed"),
			autoplay : true,
			autoplayTimeout : $carousel.data("woocommerceproductsrevolution-blog-carousel-owl-autoplay"),
			autoplayHoverPause: true,
			navText : ['<i class="fa fa-angle-left"></i>','<i class="fa fa-angle-right"></i>'],
			responsive:{
				0:{
					items: $carousel.data("woocommerceproductsrevolution-blog-carousel-owl-items-600")
				},
				600:{
					items: $carousel.data("woocommerceproductsrevolution-blog-carousel-owl-items-900")
				},
				1000:{
					items: $carousel.data("woocommerceproductsrevolution-blog-carousel-owl-items")
				}
			}
        });
    });
};

jQuery(window).on("elementor/frontend/init", function() {
	"use strict";
    elementorFrontend.hooks.addAction(
        "frontend/element_ready/woocommerce-products-carousel-layouts.default",
		 woocommerceproductsrevolutionCarouselHandler
    );
});

jQuery(function($){
	"use script";

	$(".woocommerceproductsrevolution-custom-js").each(function( index ) {
		var custom_css = $(this).attr("data-woocommerceproductsrevolution-custom-css");
		$( custom_css ).appendTo( "head" );
	});

});
